%define prever 2
%define momorel 0.%{prever}.1

Summary:	Audacity is a free audio editor.
Name:		audacity
Version:	1.2.0
Release:	%{momorel}m
License:	GPL
Group:		Applications/Multimedia
Source0:	http://umn.dl.sourceforge.net/sourceforge/audacity/audacity-src-%{version}-pre%{prever}.tar.bz2
NoSource:	0
Url:		http://audacity.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Requires:	wxGTK >= 2.4.2
Requires:	libvorbis libmad libsndfile flac
BuildPreReq:	wxGTK-devel >= 2.4.2
BuildPreReq:	libvorbis-devel libmad libsndfile-devel flac-devel

%description
Audacity is a free audio editor. You can record sounds, play sounds, import
and export WAV, AIFF, and MP3 files, and more. Use it to edit your sounds
using Cut, Copy and Paste (with unlimited Undo), mix tracks together, or apply
effects to your recordings. It also has a built-in amplitude envelope editor,
a customizable spectrogram mode and a frequency analysis window for audio
analysis applications. Built-in effects include Bass Boost, Wahwah, and Noise
Removal, and it also supports VST plug-in effects.

%prep
%setup -q -n %{name}-src-%{version}-pre%{prever}

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} \
        --with-vorbis=system \
        --with-libmad=system \
        --with-libsndfile=system \
        --with-libflac=system \
        --with-help

%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}/%{_datadir}/%{name}
cp audacity-1.2-help.htb %{buildroot}/%{_datadir}/%{name}

# menus
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Applications
cat << EOF > %{buildroot}%{_sysconfdir}/X11/applnk/Applications/%{name}.desktop
[Desktop Entry]
Name=Audacity
Comment=audio editor
Icon=
Exec=audacity
Terminal=false
Type=Application
EOF



%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.txt README.txt help/wxhelp
%{_bindir}/*
%{_datadir}/*
/etc/X11/applnk/Applications/%{name}.desktop

%ChangeLog
* Sun Dec 14 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.2.0-0.2.1m)
- update to version 1.2.0-pre2 (1.2.0-pre3 doesn't work correctly now...)
- rebuild against wxGTK-2.4.2

* Thu Feb 13 2003 OZAWA Sakuro <crouton@momonga-linux.org>
- (1.0.0-2m)
  BuildPrereq: wxGTK-devel.

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.0-1m)
  imported
